Bug 781136 - (SOA-3635) NotifyFiles appends a new line character in stringNotification() method to the original content.
NotifyFiles appends a new line character in stringNotification() method to th...
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.2.0.ER4
Unspecified Unspecified
high Severity high
: ---
: FUTURE
Assigned To: tcunning
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-29 12:08 EST by Len DiMaggio
Modified: 2015-03-12 07:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
NotifyFiles will append a new line character at the end of a string when using the stringNotification() method. It does this if the string does not end with a valid character. This is a problem when the aim is to simply save some file content.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3294 Major Open NotifyFiles appends a new line character in stringNotification() method to the original content. 2013-02-06 23:05:48 EST
JBoss Issue Tracker SOA-3635 Major Closed NotifyFiles appends a new line character in stringNotification() method to the original content. 2013-02-06 23:05:50 EST

  None (edit)
Description Len DiMaggio 2011-11-29 12:08:38 EST
project_key: SOA

See linked issue.
Comment 1 Len DiMaggio 2011-11-29 12:08:39 EST
Link: Added: This issue Cloned from SOA-2058
Comment 2 Suz 2012-06-14 21:42:47 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
NotifyFiles will append a new line character at the end of a string when using the stringNotification() method. It does this if the string does not end with a valid character.
Comment 3 David Le Sage 2012-06-17 20:19:15 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-NotifyFiles will append a new line character at the end of a string when using the stringNotification() method. It does this if the string does not end with a valid character.+NotifyFiles will append a new line character at the end of a string when using the stringNotification() method. It does this if the string does not end with a valid character.  This is a problem when the aim is to simply save some file content.

Note You need to log in before you can comment on or make changes to this bug.